summaryrefslogtreecommitdiff
path: root/development/re2c/re2c.SlackBuild
diff options
context:
space:
mode:
authorLukenShiro <lukenshiro@ngi.it>2013-10-27 17:05:15 -0500
committerRobby Workman <rworkman@slackbuilds.org>2013-10-27 23:39:04 -0500
commit7c75b558a284e35f91f3e5be508091bf8c556da9 (patch)
tree9c89ee09d2ee25cfa99b1cec2c154a7aab06a3a9 /development/re2c/re2c.SlackBuild
parente68d48075fec596025d18c7b5028cc7076b0f514 (diff)
downloadslackbuilds-7c75b558a284e35f91f3e5be508091bf8c556da9.tar.gz
development/re2c: Updated for version 0.13.6.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/re2c/re2c.SlackBuild')
-rw-r--r--development/re2c/re2c.SlackBuild25
1 files changed, 12 insertions, 13 deletions
diff --git a/development/re2c/re2c.SlackBuild b/development/re2c/re2c.SlackBuild
index 4306f6b09b..7b80b233ab 100644
--- a/development/re2c/re2c.SlackBuild
+++ b/development/re2c/re2c.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for re2c
-# Copyright 2008-2009 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2013 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=re2c
-VERSION=${VERSION:-0.13.5}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-0.13.6}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -59,7 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -68,8 +66,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) -exec chmod 755 {} \;
-find . \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# --htmldir= is ignored
CFLAGS="$SLKCFLAGS" \
@@ -82,15 +83,13 @@ CXXFLAGS="$SLKCFLAGS" \
make
# in order to regenerate scanner.cc file
-rm -rf scanner.cc
+rm -f scanner.cc
make install-strip DESTDIR=$PKG
# compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# remove windows-only files
rm -rf lessons/001_upn_calculator/windows/